/* Styles for the air quality map section */
.dash_map_section {
 display: block;
}
 .dash_map_container {
  display: block;
  width: 100%;
 }
  #dash_map {
   display: block;
   position: relative;
   width: 100%;
   height: 320px;
  }
   .recenter-nc {
    top: 5.0em;
    left: 0.5em;
   }
   #map_popup {
    display: none;
    background-color: #FFFFFF;
    border-radius: 4px;
    border: 1px solid #FFFFFF;
    box-shadow: 2px 2px 1px rgba(0, 0, 0, 0.75);
    font-family: Univers;
    overflow: hidden;
   }
   #map_popup:after {
    content: '';
    position: absolute;
    top: 100%;
    left: 50%;
    margin-left: -8px;
    width: 0;
    height: 0;
    border-top: solid 8px #FFFFFF;
    border-left: solid 8px transparent;
    border-right: solid 8px transparent;
    font-family: Univers;
   }
    .map_popup_title {
     display: block;
     padding: 6px;
     background-color: #092940;
     color: #FFFFFF;
     border-bottom: 2px solid #000000;
     font-weight: bold;
    }
     .map_popup_title img {
      height: 17px;
      margin: 0px 5px;
     }
     .map_popup_close {
      display: inline;
      color: #FFFFFF;
      float: right;
      cursor: pointer;
      font-family: Univers;
      padding-left: 4px;
     }
    .map_popup_content {
     display: block;
     padding: 4px;
     overflow-y: scroll;
    }
     .map_popup_table {
      display: table;
     }
      .map_popup_tr {
       display: table-row;
      }
       .map_popup_td {
        display: table-cell;
        padding: 2px 4px;
       }
        .popup_check_yes {
         color: #AA0000;
         margin: 0px 5px;
        }
        .popup_check_no {
         color: #00AA00;
         margin: 0px 5px;
        }
        .popup_text_sm {
         display: block;
        }
     .map_popup_content hr {
      margin: 5px auto;
     }
   #map_ridges {
    display: block;
    position: absolute;
    bottom: 10px;
    left: 10px;
    padding: 10px;
    border-radius: 10px;
    background-color: #FFFFFF;
    font-size: 14px;
    z-index: 10;
   }
    .map_ridges_north {
     display: block;
     padding: 2px 0px;
     color: #0034AF;
    }
    .map_ridges_south {
     display: block;
     padding: 2px 0px;
     color: #0078D3;
    }
    .map_ridges_note {
     display: block;
     margin: 5px auto;
     font-size: 12px;
     text-align: center;
    }
    .map_ridges_aqi {
     display: inline-block;
     width: 61px;
     height: 25px;
     padding: 0px;
     margin-right: 5px;
     vertical-align: middle;
    }
     .map_ridges_aqi img {
      width: 63px;
      height: 27px;
     }
   #map_air_btn {
    display: block;
    position: absolute;
    bottom: 10px;
    right: 10px;
    padding: 10px;
    border-radius: 10px;
    background-color: #FFFFFF;
    font-size: 14px;
    z-index: 10;
    text-align: center;
    color: #008473;
    cursor: pointer;
   }
    .map_air_btn_icon {
     display: inline-block;
     font-size: 20px;
     vertical-align: middle;
    }
    .map_air_btn_text {
     display: inline-block;
     font-size: 15px;
     text-align: center;
     vertical-align: middle;
     text-decoration: underline;
    }
  #dash_map_legend {
   display: block;
   width: 100%;
  }
   .dash_legend_org {
    display: table;
    margin: 10px 0px;
   }
    .dash_legend_row {
     display: table-row;
    }
     .dash_legend_source {
      display: table-cell;
      padding: 0px 15px;
      vertical-align: top;
     }
      .dash_legend_source_image {
       display: block;
       text-align: center;
      }
       .dash_legend_source_image img {
        width: 91px;
       }
     .dash_legend_title {
      display: table-cell;
      vertical-align: top;
     }
      .dash_legend_title_param {
       display: block;
       font-size: 15px;
       font-weight: bold;
      }
      .dash_legend_title_date {
       display: block;
       font-size: 13px;
       color: #990000;
      }
      .dash_legend_link {
       display: block;
       margin-top: 4px;
       font-size: 11px;
      }
       .dash_legend_link a {
        color: #094671;
       }
       .dash_legend_link i {
        margin-right: 4px;
        color: #246FA5;
       }
     .dash_legend_ramp {
      display: table-cell;
      vertical-align: top;
     }
      .dash_legend_table {
       margin: 8px auto;
       border-collapse: collapse;
       border: 0px;
      }
       .dash_legend_table_tr {
        border-spacing: 0px;
       }
        .dash_legend_table_ph {
         width: 20px;
         height: 0px;
         padding: 0px;
         border: 0px;
        }
        .dash_legend_table_blank {
         width: 20px;
         height: 16px;
         padding: 0px;
         border: 0px;
         background-color: inherit !important;
        }
        .dash_legend_table_shade {
         position: relative;
         width: 40px;
         height: 16px;
         text-align: center;
         padding: 4px 0px;
         border: 0px;
        }
         .dash_legend_table_shade_tooltip_icon {
          position: absolute;
          width: 0;
          height: 0;
          top: 0;
          right: 0;
          border-top-width: 0.5vw;
          border-top-style: solid;
          border-top-color: #90BBDC;
          border-bottom-width: 0.5vw;
          border-bottom-style: solid;
          border-bottom-color: transparent;
          border-left-width: 0.5vw;
          border-left-style: solid;
          border-left-color: transparent;
          cursor: help;
         }
         .dash_legend_table_shade_tooltip_icon .tooltip_text {
          visibility: hidden;
          position: absolute;
          width: 120px;
          background-color: #000000;
          color: #FFFFFF;
          text-align: center;
          border-radius: 6px;
          padding: 5px;
          z-index: 1;
          bottom: 14px;
          left: 50%;
          margin-left: -60px;
          font-size: 14px;
         }
         .dash_legend_table_shade_tooltip_icon .tooltip_text::after {
          content: "";
          position: absolute;
          top: 100%;
          left: 50%;
         }
         .dash_legend_table_shade_tooltip_icon:hover .tooltip_text {
          visibility: visible;
         }
        .dash_legend_table_label {
         width: 20px;
         text-align: center;
         padding: 2px 0px;
         background-color: inherit !important;
         font-size: 13px;
         border: 0px;
        }